Download it now!
Bug 129025 - CRASH: Closing LibreOffice while Options dialog is open ( gen )
Summary: CRASH: Closing LibreOffice while Options dialog is open ( gen )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0.1 target:6.5.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-11-25 19:52 UTC by Xisco Faulí
Modified: 2019-11-27 11:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (gen) (14.36 KB, text/plain)
2019-11-25 20:08 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-11-25 19:52:24 UTC
Steps to reproduce:
1. Open LibreOffice
2. Tools - Options
3. Close LibreOffice while the dialog is open

-> Crash

Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: d6e2d624a124454fa4ac80cb30a924571a609101
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-11-25 19:58:12 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=94d6fa11d086187b82adf9aa596e0f334827e095

author	Caolán McNamara <caolanm@redhat.com>	2019-09-17 12:50:05 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-09-20 21:20:51 +0200
commit	94d6fa11d086187b82adf9aa596e0f334827e095 (patch)
tree	4a44af903b2572efe89ae5e8aa67bb092644e038
parent	3c84b18f4f0fe4058de60b1c62149275ed858b79 (diff)
weld OfaTreeOptionsDialog

Bisected with: bibisect-linux64-6.4

Adding Cc: to Caolán McNamara
Comment 2 Julien Nabet 2019-11-25 20:08:52 UTC
Created attachment 156104 [details]
bt with debug symbols (gen)

On pc Debian x86-64 with master sources updated today + gen rendering, I could reproduce this
Comment 3 Commit Notification 2019-11-26 13:28:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/a185b898bcdf98299faea2ecd62ac025622273a5

Resolves: tdf#129025 options dialog should be modal

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-11-26 17:25:37 UTC
fixed in master and 6-4
Comment 5 Xisco Faulí 2019-11-27 11:09:09 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 3a6f270edfffb97763927b2732feacedbdac1e80
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 6 Xisco Faulí 2019-11-27 11:11:16 UTC
In master, the fix was submitted in commit https://cgit.freedesktop.org/libreoffice/core/commit/?id=3b0d29f1461c97c0c812a500b3414b9a50d694ff